package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsApplyStatusEnum {
    ING("ING","申请中"),
    END("END","到货反馈"),
    CANCEL("CANCEL","取消申请");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
